Attach Videos to the Pre-Recorded Stream Playlist
PUT
https://octopus.livepush.io/streams/{stream_id}/config/scheduler/playlist
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Attaches one or more existing videos to the scheduler playlist of a pre-recorded live stream.
The playlist defines the playback order for scheduled or looping pre-recorded live streams.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
PUT
https://octopus.livepush.io/streams/{stream_id}/config/scheduler/playlist
— This call changes live data on your account.
Parameters
Path parameters
-
stream_idstring requiredUnique identifier of the pre-recorded live stream
Request body
-
videosstring[] requiredList of video IDs to attach to the playlist
{
"videos": [
"string"
]
}
Code samples
curl -X PUT 'https://octopus.livepush.io/streams/<stream_id>/config/scheduler/playlist' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"videos": [
"string"
]
}'
const response = await fetch('https://octopus.livepush.io/streams/<stream_id>/config/scheduler/playlist', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"videos": [
"string"
]
}),
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
}
payload = {
"videos": [
"string"
]
}
response = requests.put('https://octopus.livepush.io/streams/<stream_id>/config/scheduler/playlist', headers=headers, json=payload, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Scheduler playlist updated successfully
Unauthorized
Stream not found